## citadel-client 916

=== debian/changelog ===
citadel-client (916-5) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066221)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Declare Rules-Requires-Root: no.
  * Try to avoid blhc confusion detecting "nonverbose build".

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 00:00:17 +0200

citadel-client (916-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Upgrade to newer source format.
  * Bump debhelper from old 11 to 12.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:04:42 +0000

citadel-client (916-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007379).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 12:53:33 +0200

citadel-client (916-2) unstable; urgency=medium

  * Point VCS information to salsa.
  * Orphaning package

 -- Michael Meskes <meskes@debian.org>  Thu, 11 Jul 2019 18:06:39 +0200

citadel-client (916-1) unstable; urgency=medium

  * Updated watch file for new manifest.
  * New upstream version 916

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Jan 2018 11:08:39 +0100

citadel-client (915-1) unstable; urgency=medium

  * New upstream version 915
  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Bumped debhelper version to 11.
  * Changed priority to optional.
  * Added hardening build options.

 -- Michael Meskes <meskes@debian.org>  Tue, 02 Jan 2018 11:22:09 +0100

citadel-client (9.01-1) unstable; urgency=medium

  * Imported Upstream version 9.01
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Added lintian override for non-existant RFC license problems.

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Feb 2016 14:12:34 +0100

citadel-client (8.24-1) unstable; urgency=medium

  * Imported Upstream version 8.24
  * Bumped Standards-Version to 3.9.5, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Jan 2014 11:48:55 +0100

citadel-client (8.20-1) unstable; urgency=low

  * Initial release as separate package.

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Aug 2013 14:43:49 +0200
