=== debian/control ===
Source: citadel-client
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), po-debconf, bison,
 libpam0g-dev, libcitadel-dev (>= 917), zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/citadel-client
Vcs-Git: https://salsa.debian.org/debian/citadel-client.git
Homepage: http://www.citadel.org/

Package: citadel-client
Architecture: any
Recommends: shared-mime-info
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: complete and feature-rich groupware server (command line client)
 This is package contains the command line client for Citadel, a complete and
 feature-rich open source groupware platform.
 .
 See the 'citadel-server' package for more information.
