=== debian/watch ===
version=4

http://easyinstall.citadel.org/manifest.html textclient-([\d\S]+).tar.gz
